=== debian/changelog ===
mongodb (1:6.1.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:04:14 +0200

mongodb (1:6.1.1-0kali5) kali-dev; urgency=medium

  * Add more logs in case autopkgtests fail
  * Remove journal=true from config

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 09 Aug 2023 16:45:32 +0700

mongodb (1:6.1.1-0kali4) kali-dev; urgency=medium

  * Update patch to fix arm64 build

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Aug 2023 21:50:54 +0700

mongodb (1:6.1.1-0kali3) kali-dev; urgency=medium

  * Add patch to fix build on arm64

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Aug 2023 14:55:39 +0700

mongodb (1:6.1.1-0kali2) kali-dev; urgency=medium

  * Use --max-parallel=4 to fix build on arm64

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 08:55:27 +0200

mongodb (1:6.1.1-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Steev Klimaszewski ]
  * Fix ftbfs with gcc 12 being more strict on arm64
  * ci: Don't build on 32bit architectures.
  * Drop dependency on lsb-base
  * d/watch: Update regex check for versions

  [ Sophie Brun ]
  * New upstream version 6.1.1
  * Refresh patches
  * Use pcre2 instead of prce

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jul 2023 11:20:34 +0200

mongodb (1:6.0.1-0kali2) kali-dev; urgency=medium

  * Add misssing build-dep liblzma-dev for arm64

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Sep 2022 09:27:52 +0200

mongodb (1:6.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 6.0.1
  * Refresh patches
  * Import upstream patch to fix build failure
  * Update lintian-overrides
  * Update for the build for new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Sep 2022 08:25:47 +0200

mongodb (1:5.3.1-0kali1) kali-dev; urgency=medium

  * Update debian/watch for new upstream releases
  * New upstream version 5.3.1
  * d/control: Update for Kali
  * Refresh patches
  * Update debian/copyright
  * Update the build-deps
  * Add MONGO_VERSION to options for scons
  * Remove DEB_SCONS_OPTIONS += --nostrip (it does not exist)
  * Use --use-system-zstd to build the package
  * Use embedded scons
  * Remove useless patch
  * Update installation for mongodb-clients
  * Install only the required manpage
  * Install doc in usr/share/doc
  * Clean debian/rules
  * Update debian/copyright
  * Update lintian-overrides
  * Improve autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Apr 2022 09:37:37 +0200
