=== debian/control ===
Source: mongodb
Section: non-free/database
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends:
 debhelper (>= 11~),
 libboost-date-time-dev,
 libboost-dev (>> 1.50),
 libboost-log-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libboost-regex-dev,
 libgoogle-perftools-dev,
 liblzma-dev,
 libyaml-cpp-dev,
 libpcap-dev,
 libpcre2-dev,
 libreadline-dev,
 libsnappy-dev,
 libstemmer-dev,
 libcurl4-openssl-dev,
 libssl-dev,
 libzstd-dev,
 zlib1g-dev,
 python3-cheetah,
 python3-distutils,
 python3-packaging,
 python3-pkg-resources,
 python3-psutil,
 python3-pymongo,
 python3-yaml,
 python3,
# scons,
 tzdata,
 valgrind
Standards-Version: 4.2.1
Homepage: https://www.mongodb.org

Package: mongodb
Architecture: amd64 arm64
Depends: mongodb-server (>= 1:2.4.1-2), ${misc:Depends}, ${shlibs:Depends}
Description: object/document-oriented database (metapackage)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This is a convenience metapackage that depends on all the mongodb parts:
 the server, the clients and the development files (headers and library).

Package: mongodb-server
Architecture: all
Depends:
 mongodb-clients,
 mongodb-server-core (>= ${source:Version}),
 mongodb-server-core (<< ${source:Version}.1~),
 adduser,
 ${misc:Depends},
Description: object/document-oriented database (managed server package)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package installs MongoDB as a system service.

Package: mongodb-server-core
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks:
 mongodb-server (<< 1:3.4.14-1~)
Replaces:
 mongodb-server (<< 1:3.4.14-1~)
Description: object/document-oriented database (server binaries package)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package contains the database server (mongod) and sharding
 server/load-balancer (mongos) binaries.

Package: mongodb-clients
Architecture: amd64 arm64
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: mongo-tools
Replaces:
 mongodb (<= 1:1.4.2-2)
Description: object/document-oriented database (client apps)
 MongoDB is a high-performance, open source, schema-free
 document-oriented data store that's easy to deploy, manage
 and use. It's network accessible, written in C++ and offers
 the following features:
 .
    * Collection oriented storage - easy storage of object-style data
    * Full index support, including on inner objects
    * Query profiling
    * Replication and fail-over support
    * Efficient storage of binary data including large objects (e.g. videos)
    * Auto-sharding for cloud-level scalability
 .
 High performance, scalability, and reasonable depth of
 functionality are the goals for the project.
 .
 This package contains the standard administrative shell (mongo) and other
 utilities for administration or analysis of performance of the server.
