=== debian/tests/control ===
Tests: mongod basic
Depends: mongodb-server, mongodb-clients, procps
Restrictions: needs-root, isolation-container, breaks-testbed
