## mongodb 7.0.14

=== SConstruct ===
--- 
+++ 
@@ -7,6 +7,7 @@
 import json
 import os
 import re
+import pathlib
 import platform
 import shlex
 import shutil
@@ -15,12 +16,15 @@
 import sys
 import textwrap
 import uuid
+from datetime import datetime
 from glob import glob
 
 from pkg_resources import parse_version
 
 import SCons
 import SCons.Script
+from mongo_tooling_metrics.lib.top_level_metrics import SConsToolingMetrics
+from site_scons.mongo import build_profiles
 
 # This must be first, even before EnsureSConsVersion, if
 # we are to avoid bulk loading all tools in the DefaultEnvironment.
@@ -33,10 +37,11 @@
 import mongo.toolchain as mongo_toolchain
 import mongo.generators as mongo_generators
 import mongo.install_actions as install_actions
-from mongo.build_profiles import BUILD_PROFILES
 
 EnsurePythonVersion(3, 6)
 EnsureSConsVersion(3, 1, 1)
+
+utc_starttime = datetime.utcnow()
 
 
 # Monkey patch SCons.FS.File.release_target_info to be a no-op.
@@ -49,7 +54,6 @@
 
 from buildscripts import utils
 from buildscripts import moduleconfig
-
 import psutil
 
 scons_invocation = '{} {}'.format(sys.executable, ' '.join(sys.argv))
@@ -131,8 +135,8 @@
 
 add_option(
     'build-profile',
-    choices=list(BUILD_PROFILES.keys()),
-    default='default',
+    choices=[type for type in build_profiles.BuildProfileType],
+    default=build_profiles.BuildProfileType.DEFAULT,
     type='choice',
     help='''Short hand for common build configurations. These profiles are well supported by the build
     and are kept up to date. The 'default' profile should be used unless you have the required
@@ -142,7 +146,7 @@
     site_scons/mongo/build_profiles.py to see each profile.''',
 )
 
-build_profile = BUILD_PROFILES[get_option('build-profile')]
+build_profile = build_profiles.get_build_profile(get_option('build-profile'))
 
 add_option(
     'ninja',
@@ -158,6 +162,12 @@
     'force-jobs',
     help='Allow more jobs than available cpu\'s when icecream is not enabled.',
     nargs=0,
+)
+
+add_option(
+    'extra_dist_files',
+    help=
+    'If defined, it should be a comma-delimited list of repository-relative paths to include in the dist target as installed files',
 )
 
 add_option(
@@ -423,14 +433,6 @@
 )
 
 add_option(
-    'enable-free-mon',
-    choices=["auto", "on", "off"],
-    default="auto",
-    help='Disable support for Free Monitoring to avoid HTTP client library dependencies',
-    type='choice',
-)
-
-add_option(
     'enable-http-client',
     choices=["auto", "on", "off"],
     default="auto",
@@ -447,7 +449,7 @@
 add_option(
     'use-diagnostic-latches',
     choices=['on', 'off'],
-    default='on',
+    default='off',
     help='Enable annotated Mutex types',
     type='choice',
 )
@@ -461,10 +463,13 @@
     ('boost', ),
     ('fmt', ),
     ('google-benchmark', 'Google benchmark'),
+    ('grpc', ),
     ('icu', 'ICU'),
     ('intel_decimal128', 'intel decimal128'),
-    ('kms-message', ),
+    ('libbson', ),
+    ('libmongocrypt', ),
     ('pcre2', ),
+    ('protobuf', "Protocol Buffers"),
     ('snappy', ),
     ('stemmer', ),
     ('tcmalloc', ),
@@ -486,12 +491,3 @@
     )
 
 add_option(
-    'system-boost-lib-search-suffixes',
-    help='Comma delimited sequence of boost library suffixes to search',
-)
-
-add_option(
-    'use-system-mongo-c',
-    choices=['on', 'off', 'auto'],
-    const='on',
-    default="auto",
