=== debian/changelog ===
mongodb (1:7.0.14-0kali3) kali-dev; urgency=medium

  * ci: Use even larger builders
  * ci: Give up on the arm64 build
  * Try to fix debian/tests/basic
  * ci: Also disable reprotest (takes too long)

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 10 Oct 2024 20:35:15 +0700

mongodb (1:7.0.14-0kali2) kali-dev; urgency=medium

  * Revert Use --max-parallel=4 to fix build on arm64
  * Reduce the number of parallel jobs for arm64 builds

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 09 Oct 2024 21:03:17 +0700

mongodb (1:7.0.14-0kali1) kali-dev; urgency=medium

  * New upstream version 7.0.14

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 09 Oct 2024 09:03:38 +0700

mongodb (1:7.0.12-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Sophie Brun ]
  * Remove obsolete build-dep python3-distutils
  * New upstream version 7.0.12
  * Refresh patches
  * Adapt for Python 3.12
  * Remove calculate_tooling_metrics
  * Add missing --linker=gold

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 Aug 2024 14:13:49 +0200

mongodb (1:6.1.1-0kali6) kali-dev; urgency=medium

  * ci: Use large builder on amd64.
  * ci: Use large build for -all and -any builds too.
  * ci: Increase arm64 timeout to 4 hours.
  * Revert "ci: Increase arm64 timeout to 4 hours."
  * Bump version for dependency bump.

 -- Steev Klimaszewski <steev@kali.org>  Wed, 11 Oct 2023 23:55:13 -0500
