=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mongodb
 Section: non-free/database
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends:
  debhelper (>= 11~),
  libboost-date-time-dev,
@@ -16,7 +16,7 @@
  libgoogle-perftools-dev,
  liblzma-dev,
  libyaml-cpp-dev,
- libpcap-dev,
+ libpcap0.8-dev,
  libpcre2-dev,
  libreadline-dev,
  libsnappy-dev,
@@ -26,7 +26,6 @@
  libzstd-dev,
  zlib1g-dev,
  python3-cheetah,
- python3-distutils,
  python3-packaging,
  python3-pkg-resources,
  python3-psutil,
@@ -37,6 +36,8 @@
  tzdata,
  valgrind
 Standards-Version: 4.2.1
+Vcs-Git: https://gitlab.com/kalilinux/packages/mongodb.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/mongodb
 Homepage: https://www.mongodb.org
 
 Package: mongodb
