=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,13 @@
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-       PROCS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-       DEB_SCONS_OPTIONS += -j$(PROCS)
+	PROCS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+# Kali: arm64 build failed so we reduced the number of parallel jobs
+ifeq ($(DEB_BUILD_ARCH),arm64)
+	DEB_SCONS_OPTIONS += -j$(shell expr $(PROCS) / 2)
+else
+	DEB_SCONS_OPTIONS += -j$(PROCS)
+endif
 endif
 
 COMMON_OPTIONS = --use-system-tcmalloc \
@@ -27,6 +32,7 @@
 		 --use-system-stemmer --use-system-yaml \
 		 --use-system-zstd \
 		 --disable-warnings-as-errors \
+		 --linker=gold \
 		 --ssl $(DEB_SCONS_OPTIONS) \
 		 MONGO_VERSION=$(DEB_VERSION_UPSTREAM) \
 		 CC=$(CC) CXX=$(CXX)
@@ -51,4 +57,4 @@
 	dh_installsystemd -pmongodb-server --no-enable --name=mongodb
 
 %:
-	dh $@ --max-parallel=4
+	dh $@
