=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)-(rc\d+)$/$1~$2/ \
     https://github.com/mongodb/mongo/tags \
             (?:.*?/)?r?(\d+\.\d+\.\d+(?!rc\d+))\.tar\.gz
#	https://www.mongodb.org/dl/src/ .*/mongodb-src-r(\d\.\d\..*)\.tar\.gz
